Package org.kapott.hbci.dialog

# Class HBCIMessage

java.lang.Object
org.kapott.hbci.dialog.HBCIMessage

public class HBCIMessage extends Object
Kapselt die fachlichen Jobs in einr HBCI-Nachricht an die Bank.

## Constructor Summary

Constructors
Constructor
Description
`HBCIMessage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`append(HBCIJobImpl task)`
Fuegt einen neuen Job zur Nachricht hinzu.
`HBCIJobImpl`
`findTask(String hbciCode)`
Sucht in der Nachricht nach einem Task mit dem angegebenen HBCI-Code.
`int`
`getTaskCount()`
Liefert die Anzahl aller Tasks in der Naxchricht.
`List<HBCIJobImpl>`
`getTasks()`
Liefert die Kopie der Task-Liste.
`void`
`prepend(HBCIJobImpl task, HBCIJobImpl toInsert)`
Fügt einen Job vor dem angegebenen Task hinzu.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIMessage

public HBCIMessage()

## Method Details

### getTasks

public List<HBCIJobImpl> getTasks()
Liefert die Kopie der Task-Liste. Aenderungen an der Liste wirken sich nicht auf die Nachricht aus. Die Tasks darin koennen jedoch geaendert werden.

Returns:
  die Kopie der Task-Liste.

### getTaskCount

public int getTaskCount()
Liefert die Anzahl aller Tasks in der Naxchricht.

Returns:
  die Anzahl aller Tasks in der Naxchricht.

### findTask

public HBCIJobImpl findTask(String hbciCode)
Sucht in der Nachricht nach einem Task mit dem angegebenen HBCI-Code.

Parameters:
  `hbciCode` - der HBCI-Code.
Returns:
  der Task oder NULL, wenn er nicht gefunden wurde.

### prepend

public void prepend(HBCIJobImpl task, HBCIJobImpl toInsert)
Fügt einen Job vor dem angegebenen Task hinzu.

Parameters:
  `task` - der Task.
  `toInsert` - der vorher einzufuegende Task.

### append

public void append(HBCIJobImpl task)
Fuegt einen neuen Job zur Nachricht hinzu.

Parameters:
  `task` - der neue Job.